Package org.eclipse.graphiti.pattern

## Interface IPatternContainer

All Known Subinterfaces:
  `IFeatureProviderWithPatterns`

All Known Implementing Classes:
  `DefaultFeatureProviderWithPatterns`

    public interface IPatternContainer

Defines the API of a container holding a pattern.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addPattern​(IPattern pattern)` Adds the pattern.

### Method Detail

#### addPattern

    void addPattern​(IPattern pattern)

Adds the pattern.

Parameters:
  `pattern` - the pattern